2019-12-09 18:43 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001202FSSCPtablespublic2008-03-23 06:48
ReporterSadisticSid 
Assigned ToWMCoolmon 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version3.6.10 
Summary0001202: $Detonation Range field does not work for bombs
DescriptionI tried making a bomb that would detonate at 300m from its launch point (to launch its spawns a good deal away from the target) with a lifetime of 30 as well as having homing properties. However, it detonates 30 seconds after launch, not 300m away. I realise the flag was originally meant for flak screens but should it not also work for bombs (and, probably, all secondaries)?

Using build fs2_open_r-Inf20061130.exe
Additional Informationweapons.tbl excerpt:

$Name: Tester
$Model File: eabombb.pof
$Mass: 35.0
$Velocity: 55.0
$Fire Wait: 25.0
$Damage: 0
$Damage Type: Mega Yield
$Detonation Range: 300
$Blast Force: 0.0
$Inner Radius: 7.0
$Outer Radius: 47.0
$Shockwave Speed: 0
$Armor Factor: 1.0
$Shield Factor: 0.02
$Subsystem Factor: 0.75
$Lifetime: 30.0
$Energy Consumed: 0.0
$Cargo Size: 15.0
$Homing: YES
 +Type: ASPECT
 +Turn Time: 1.5
 +Min Lock Time: 7.0
 +Lock Pixels/Sec: 25
 +Catch-up Pixels/Sec: 0
 +Catch-up Penalty: 15
$LaunchSnd: 97
$ImpactSnd: 101
$FlyBySnd: -1
$Rearm Rate: 0.02
$Flags: ( "in tech database" "Bomb" "Huge" "player allowed" "Spawn Hellfire,1" )
$Trail:
 +Start Width: 0.5
 +End Width: 2.0
 +Start Alpha: 1.0
 +End Alpha: 0.0
 +Max Life: 4.0
 +Bitmap: MissileTrail01
$Icon: iconshocker
$Anim: mdefaultea
$Impact Explosion: ExpMissileHit1
$Impact Explosion Radius: 5.0
$Spawn Angle: 12
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008914

taylor (administrator)

Assigning to WMC since he seems to have fixed this already (it was part of the new scripting code patch that he sent me). Just a reminder so we'll know that it is fixed and can be marked as resolved once the change hits SVN.

~0009013

WMCoolmon (developer)

This should be fixed as of my initial commit of scripting to the stable branch, as taylor suggested.
+Notes

-Issue History
Date Modified Username Field Change
2007-01-07 11:19 SadisticSid New Issue
2008-02-27 03:34 taylor Note Added: 0008914
2008-02-27 03:34 taylor Assigned To => WMCoolmon
2008-02-27 03:34 taylor Status new => assigned
2008-03-23 06:48 WMCoolmon Status assigned => resolved
2008-03-23 06:48 WMCoolmon Fixed in Version => 3.6.10
2008-03-23 06:48 WMCoolmon Resolution open => fixed
2008-03-23 06:48 WMCoolmon Note Added: 0009013
+Issue History